Subject: atom:icon/logo in atom:entry

From: Antonio Tapiador del Dujo <[email-masked]>
Date: Thu, 1 Oct 2009 16:11:43 +0200

Hi,
I'm writting an atom feed for "Space" items and would like to include a <logo> 
for each Space.

The spec says atom:icon/logo are elements for <feed>.
Is it ok to include them inside <entry>? Is there any experience on this?

---

From: Sam Johnston <[email-masked]>
Date: Thu, 1 Oct 2009 16:57:55 +0200

> Is it ok to include them inside <entry>? Is there any experience on this?

I had a similar requirement recently and though I decided against it at the
time I have seen a proposal to use the <content> element under <link>
elements for including link contents inline. That way you're avoiding having
to re-specify an element that already exists, provided there is nothing in
the spec that says you specifically can't do this - it's essentially an
extension.

Sam